seo:
  title: Working at GitLab - 30 days later
  description: Working at GitLab - 30 days later
  ogTitle: Working at GitLab - 30 days later
  ogDescription: Working at GitLab - 30 days later
  noIndex: false
  ogImage: images/blog/hero-images/default-blog-image.png
  ogUrl: https://about.gitlab.com/blog/working-at-gitlab-30-days-later
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/working-at-gitlab-30-days-later
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Working at GitLab - 30 days later",
            "author": [{"@type":"Person","name":"Clement Ho"}],
            "datePublished": "2016-11-03",
          }

content:
  title: Working at GitLab - 30 days later
  description: Working at GitLab - 30 days later
  authors:
    - Clement Ho
  heroImage: images/blog/hero-images/default-blog-image.png
  date: '2016-11-03'
  body: >


    Much like [Emily von Hoffmann](https://twitter.com/emvonhoffmann), I too
    recently finished my first month at GitLab. I started contributing regularly
    to GitLab in July, so although I've only been employed for a month, I feel
    like I've been here for several months. Most of my takeaways after this
    first month is primarily based on the company culture since I already had
    prior exposure to the product.


    <!-- more -->


    ## The Wow Factor


    One of the most impressive part of the GitLab culture is it's efficiency.
    Although it is listed as a value, I did not expect it to be so pronounced.
    Monthly releases for GitLab CE and EE is just the tip of the iceberg of how
    much this team can accomplish in a short amount of time. I was amazed at how
    everything was ready for me before my first day of work. My GitLab email, my
    slack account, my swag codes and many onboarding items were all set up a few
    days after I signed my offer letter. I even had my business cards before I
    started my first day and got to hand them out to my coworkers before I left
    my previous company!


    The efficiency of the team paired with the fact that everyone is so talented
    at what they do, truly creates an incredibly productive environment. I
    cannot agree more with [general guideline #1](/handbook/):


    > Working at GitLab Inc. is cooperating with the most talented people you've
    ever worked with, being the most productive you'll ever be, and creating
    software that is helping the most people you've ever reached.


    In less than a week of me working at GitLab, I collaborated with other team
    members and shipped the first iteration of a new feature, the [compensation
    calculator](https://handbook.gitlab.com/job-families/engineering/backend-engineer/#compensation)
    ([!3418](https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests/3418)).
    That's the fastest progress I've ever encountered in all the companies and
    internships I've experienced.


    ## Work-Life Balance


    Unfortunately this wow factor also cultivates a dark side. In a startup
    culture that is so focused, moving so fast and rewards results (all of which
    are good), it can be easy for me to continue working through lunch or after
    work. I enjoy working at and on GitLab which makes this all the more
    difficult (also a good thing). From time to time, it gets very tempting for
    me to put in extra work during my spare time. Although I know that working
    continually is only appealing in the short run and unsustainable in the long
    run, I've had to take extra steps to be more disciplined in this area.


    As of a few weeks ago, I've started to block off my lunch time on my
    calendar. I tend not to prioritize what I need to do until it is on my
    schedule, so this helps me discipline my time. This may not work for
    everyone, it definitely keeps me in check.


    In light of all this, it is reliving that the team at GitLab is very
    supportive of a [healthy work life balance](/company/culture/all-remote/)
    and will do all they can to make sure everyone is well taken care of. After
    all, why else would they ask you to take a [minimum of 2 weeks
    off](/handbook/paid-time-off/) a year for vacation.


    Overall, this first month working at GitLab has been a blast. Working on
    something that impacts many organizations and has a clear [strategic
    vision](/company/strategy/) is an absolute thrill. If you think you have
    what it takes to be a GitLab team-member, check out our [job
    openings](/jobs/).
  category: Culture
config:
  slug: working-at-gitlab-30-days-later
  featured: false
  template: BlogPost
